Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: smartlock::DoorAccessControl::DoorAccessRule Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
smartlock::DoorAccessControl::DoorAccessRule Struct Reference

Data representing a rule to control access to certain doors. More...

## Public Attributes
string | name
| A name to describe this rule.
vector< peripheral::DeviceSlot > | doorHandleLocks
| Open these door handle locks.
CardCondition | cardCondition1
| Condition that has to be fulfilled when inserting a card.
CardCondition | cardCondition2
| Additional card condition that is needed.
KeypadCondition | keypadCondition1
| Condition that has to be fulfilled when using a keypad.
KeypadCondition | keypadCondition2
| Additional keypad condition that is needed.
int | conditionsTimeout
| Timeout for matching multiple card / keypad conditions.
AbsoluteTimeCondition | absoluteTime
| Absolute time range condition.
PeriodicTimeCondition | periodicTime
| Periodic time range condition.

## Detailed Description

Data representing a rule to control access to certain doors.

Access is granted (i.e. the defined locks are opened) if the defined and enabled conditions are met. At least one CardCondition or one KeypadCondition must be enabled. If multiple conditions are enabled, all conditions have to be met during the timeout that is defined in conditionsTimeout.

Definition at line 100 of file DoorAccessControl.idl.

## Member Data Documentation

## ◆ absoluteTime

AbsoluteTimeCondition smartlock::DoorAccessControl::DoorAccessRule::absoluteTime

Absolute time range condition.

Definition at line 108 of file DoorAccessControl.idl.

## ◆ cardCondition1

CardCondition smartlock::DoorAccessControl::DoorAccessRule::cardCondition1

Condition that has to be fulfilled when inserting a card.

Definition at line 103 of file DoorAccessControl.idl.

## ◆ cardCondition2

CardCondition smartlock::DoorAccessControl::DoorAccessRule::cardCondition2

Additional card condition that is needed.

Definition at line 104 of file DoorAccessControl.idl.

## ◆ conditionsTimeout

int smartlock::DoorAccessControl::DoorAccessRule::conditionsTimeout

Timeout for matching multiple card / keypad conditions.

Definition at line 107 of file DoorAccessControl.idl.

## ◆ doorHandleLocks

vector<peripheral::DeviceSlot> smartlock::DoorAccessControl::DoorAccessRule::doorHandleLocks

Open these door handle locks.

Definition at line 102 of file DoorAccessControl.idl.

## ◆ keypadCondition1

KeypadCondition smartlock::DoorAccessControl::DoorAccessRule::keypadCondition1

Condition that has to be fulfilled when using a keypad.

Definition at line 105 of file DoorAccessControl.idl.

## ◆ keypadCondition2

KeypadCondition smartlock::DoorAccessControl::DoorAccessRule::keypadCondition2

Additional keypad condition that is needed.

Definition at line 106 of file DoorAccessControl.idl.

## ◆ name

string smartlock::DoorAccessControl::DoorAccessRule::name

A name to describe this rule.

Definition at line 101 of file DoorAccessControl.idl.

## ◆ periodicTime

PeriodicTimeCondition smartlock::DoorAccessControl::DoorAccessRule::periodicTime

Periodic time range condition.

Definition at line 109 of file DoorAccessControl.idl.

The documentation for this struct was generated from the following file:

- DoorAccessControl.idl